const express = require('express');
const router = express.Router();
const authController = require('../controller/auth');

router.get('/authorize', authController.authorized);
router.get('/get-candidate', authController.getCandidate);
router.get('/get-candidatebyemail', authController.getCandidateByEmail);
router.get('/get-candidatebyphone', authController.getCandidateByPhone);
router.get('/get-joborder', authController.getJoborder);
router.get('/get-token', authController.getToken);
router.get('/get-accesstoken', authController.getAccessToken);
router.get('/get-refreshtoken', authController.refreshToken);
router.get('/login', authController.login);
router.get('/get-jobOrderCustomObject', authController.JoborderCustomObject);
router.get('/get-tearsheet', authController.getTearSheet);
router.get('/get-jobsubmission', authController.getJobSubmission);
router.post('/jobsubmission', authController.createJobSubmission);

module.exports = router
